> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cloud-model-info.md).

# cloudModelInfo

Structured identity of a foundation model.

### Examples

```graphql
type CloudModelInfo {
  moduleName: String
  moduleVersion: String
  vendor: String
  family: String
  modelClass: String
  where: String
  matched: String
}
```

### Fields

| Field                  | Description                                                      | Supported fields |
| ---------------------- | ---------------------------------------------------------------- | ---------------- |
| moduleName `String`    | Canonical lowercase name of the model, without a version suffix. |                  |
| moduleVersion `String` | Version of the model parsed from its reference.                  |                  |
| vendor `String`        | Organization that produces the model.                            |                  |
| family `String`        | Model family the model belongs to.                               |                  |
| modelClass `String`    | Capability classification of the model.                          |                  |
| where `String`         | Location where the model identity was detected.                  |                  |
| matched `String`       | Literal value that matched during model detection.               |                  |

### References

#### Fields with this object:

* [{} CloudItem.modelInfo](/api-documentation/api-reference/api--cloud-security/types/objects/cloud-item.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cloud-model-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
